Subject: Re: [PATCH] poll: Avoid extra wakeups in select/poll

From: Ingo Molnar <[email-masked]>
Date: Wed, 29 Apr 2009 15:07:06 +0200

* Eric Dumazet <[email-masked]> wrote:

> > should be inline perhaps?
> 
> Well, I thought current practice was not using inline for such 
> trivial functions, as gcc already inlines them anyway.

ok.

how about:

> > [ I'd still suggest to factor out the guts of do_select() as 
> >   its nesting is excessive that hurts its reviewability quite a 
> >   bit - but now your patch does not make the situation any 
> >   worse. ]

We tend to shop for drive-by cleanups in visibly ugly code whenever 
someone wants to touch that code. Could go into a separate patch.

	Ingo